log using "$path_g\riot_stress.log", replace  // Changes to incorporate Social Riot event of 2019
sum c7* c8* act*  // look for venta, vende, retail, mercado, evento, pituto
g retail_cod=regexm(c7, "retai")
g retail_emp_cod=regexm(c8, "retai")
foreach name in "retai" "vent" "vend" "merca" "even" "pitu" {
replace retail_cod=regexm(c7, "`name'") if retail_cod!=1
replace retail_cod=regexm(c7_2, "`name'") if retail_cod!=1
replace retail_emp_cod=regexm(c8, "`name'") if retail_emp_cod!=1
}
replace retail_cod=1 if retail_cod!=1 & actividad==6
replace retail_emp_cod=1 if retail_emp_cod!=1 & actividad==6
tab retail_emp_cod
tab retail_cod
replace retail_cod=max(retail_cod,retail_emp_cod)
bysort folio_efh year_efh: egen Retail_cod_hogar=max(retail_cod)
tab retail_cod
tab Retail_cod_hogar
tab retail_cod [fw=${factor_op}]
tab retail_cod if year<2014 [fw=${factor_op}]
tab retail_cod if year_efh==2014 [fw=factor_egm]
tab retail_cod if year_efh==2017 [fw=factor_egm]
tab Retail_cod_hogar if a1==1 [fw=${factor_op}]
tab Retail_cod_hogar if a1==1 & year<2014 [fw=${factor_op}]
tab Retail_cod_hogar if a1==1 & year==2014 [fw=factor_egm] // g sector_ind = actividad  recode sector_ind 1/2=1 3/5=2 6/9=3
tab Retail_cod_hogar if a1==1 & year==2017 [fw=factor_egm]
bysort year: sum c7* c8* actividad  // rama de actividad (1 digito - INE en ENE/ESI): 1 Agricultura, Caza y Pesca   2 Minas y Canteras
tab actividad  // 3 Industrias Manufactureras  4 Electricidad Gas y Agua  5 Construcción  6 Comercio  7 Transporte, Almacenamiento y Comunicaciones 
// 8 Bancos y Financieras  9  Servicios Comunales, Sociales y Personales 10 or . Actividades no especificadas

g constru_cod=regexm(c7, "carpi")  // Also Stress for Construction workers
g constru_emp_cod=regexm(c8, "carpin")
foreach name in "constru" "contru" "contrati" "solda" "piedr" "pintu" "alba" "manten" "casa" "vivien" "cables" "grua" "propie" "metali" "arqui" "encarg" "Obra" "obra" "inmo" "Inmo" "Arqui" {
replace constru_cod=regexm(c7, "`name'") if constru_cod!=1
replace constru_cod=regexm(c7_2, "`name'") if constru_cod!=1
replace constru_emp_cod=regexm(c8, "`name'") if constru_emp_cod!=1
}
replace constru_cod=1 if constru_cod!=1 & actividad==5
replace constru_emp_cod=1 if constru_emp_cod!=1 & actividad==5
tab constru_emp_cod
tab constru_cod
replace constru_cod=max(constru_cod,constru_emp_cod)
bysort folio_efh year_efh: egen constru_cod_hogar=max(constru_cod)

g adpudef_cod=regexm(c7, "adminis")  // Administracion Pública y Defensa
g adpudef_emp_cod=regexm(c8, "adminis")
foreach name in "admnis" "Admin" "Admn" "arma" "munici" "Munici" "justi" "carabi" "guard" "Guard" "Polic" "polic" "chile" "Chile" {
replace adpudef_cod=regexm(c7, "`name'") if adpudef_cod!=1
replace adpudef_cod=regexm(c7_2, "`name'") if adpudef_cod!=1
replace adpudef_emp_cod=regexm(c8, "`name'") if adpudef_emp_cod!=1
}
tab adpudef_emp_cod
tab adpudef_cod
replace adpudef_cod=max(adpudef_cod,adpudef_emp_cod)
bysort folio_efh year_efh: egen adpudef_cod_hogar=max(adpudef_cod)

g ense_cod=regexm(c7, "Prof")  // Enseñanza
g ense_emp_cod=regexm(c8, "Prof")
foreach name in "prof" "edu" "Edu" "coleg" "Coleg" "Univ" "univ" "ense" "Ense" "docen" "Docen" "parvu" "Parvu" "clase" "Clase" {
replace ense_cod=regexm(c7, "`name'") if ense_cod!=1
replace ense_cod=regexm(c7_2, "`name'") if ense_cod!=1
replace ense_emp_cod=regexm(c8, "`name'") if ense_emp_cod!=1
}
tab ense_emp_cod
tab ense_cod
replace ense_cod=max(ense_cod,ense_emp_cod)
bysort folio_efh year_efh: egen ense_cod_hogar=max(ense_cod)

g agriPes_cod=regexm(c7, "agri")  // Agricultura y Pesca
g agriPes_emp_cod=regexm(c8, "agri")
foreach name in "pesc" "Agri" "Pesc" {
replace agriPes_cod=regexm(c7, "`name'") if agriPes_cod!=1
replace agriPes_cod=regexm(c7_2, "`name'") if agriPes_cod!=1
replace agriPes_emp_cod=regexm(c8, "`name'") if agriPes_emp_cod!=1
}
replace agriPes_cod=1 if agriPes_cod!=1 & actividad==1
replace agriPes_emp_cod=1 if agriPes_emp_cod!=1 & actividad==1
tab agriPes_emp_cod
tab agriPes_cod
replace agriPes_cod=max(agriPes_cod,agriPes_emp_cod)
bysort folio_efh year_efh: egen agriPes_cod_hogar=max(agriPes_cod)

g alojComi_cod=regexm(c7, "chef")  // Alojamiento y Comidas
g alojComi_emp_cod=regexm(c8, "chef")
foreach name in "Chef" "rest" "Rest" "comi" "Comi" "hospe" "Hospe" "hotel" "Hotel" "guaya" "Guaya" "alime" "Alime" {
replace alojComi_cod=regexm(c7, "`name'") if alojComi_cod!=1
replace alojComi_cod=regexm(c7_2, "`name'") if alojComi_cod!=1
replace alojComi_emp_cod=regexm(c8, "`name'") if alojComi_emp_cod!=1
}
tab alojComi_emp_cod
tab alojComi_cod
replace alojComi_cod=max(alojComi_cod,alojComi_emp_cod)
bysort folio_efh year_efh: egen alojComi_cod_hogar=max(alojComi_cod)

g owner_IndWorker=1 if c1>=2 & c1<=4
replace owner_IndWorker=1 if c6>=1 & c6<=2 & owner_IndWorker!=1
replace owner_IndWorker=0 if owner_IndWorker==.
bysort folio_efh year_efh: egen owner_IndWorker_hh=max(owner_IndWorker)
tab owner_IndWorker if year_efh==2014 [fw=factor_egm]
tab owner_IndWorker if year_efh==2017 [fw=factor_egm]
tab owner_IndWorker_hh if a1==1 & year==2014 [fw=factor_egm]
tab owner_IndWorker_hh if a1==1 & year==2017 [fw=factor_egm]

local J1 "D_asalariado_contrato_ncp_np" 
local J2 "D_asalariado_grande_emp50" 
local J3 "D_trab_Tbaja_Qmashoras" 
local J4 "D_trab_buscaMejorTrabajo"
local shi = (${Ii}-55)/(100-55)
foreach var1 of varlist retail_cod owner_IndWorker constru_cod adpudef_cod ense_cod agriPes_cod alojComi_cod {
forv d=1/4 {  //  Labor quality shocks for jobs in Retail, Business Owner&Independent Worker plus Other Sectors
replace `J`d'' = min(100,2*`J`d'') if `var1'==1 & `J`d''<.
}
}
foreach var1 of varlist Retail_cod_hog owner_IndWorker_hh constru_cod_hog adpudef_cod_hog ense_cod_hog agriPes_cod_hog alojComi_cod_hog {
replace sd_ln_inc_sect=1.5*sd_ln_inc_sect if sd_ln_inc_sect<. & `var1'==1   // Extra income volatility for households in the 
}  // Retail Sector, Business Owner&Independent Worker plus Other Sectors
foreach var1 of varlist retail_cod  Retail_cod_hogar owner_IndWorker owner_IndWorker_hh {
replace `var1' = . if lfp!=1
display("individual worker stats: all years, <2014, 2014, 2017")
tab `var1' [fw=${factor_op}]
tab `var1' if year<2014 [fw=${factor_op}]
tab `var1' if year_efh==2014 [fw=factor_egm]
tab `var1' if year_efh==2017 [fw=factor_egm]
display("Household stats: all years, <2014, 2014, 2017")
tab `var1' if a1==1 [fw=${factor_op}]
tab `var1' if a1==1 & year<2014 [fw=${factor_op}]
tab `var1' if a1==1 & year==2014 [fw=factor_egm]
tab `var1' if a1==1 & year==2017 [fw=factor_egm]
}
log close

replace expenses3=expenses3*0.99 // 1% additional inflation shock
replace ing=max(0, ing-0.01)
replace rci_pend_75=rci_pend_75*1.01
replace debt_pi_ratio=debt_pi_ratio*1.01
replace debt_dt_pi_ratio=debt_dt_pi_ratio*1.01

// rama de actividad (1 digito - INE en ENE/ESI): 1 Agricultura, Caza y Pesca   2 Minas y Canteras
//tab actividad  // 3 Industrias Manufactureras  4 Electricidad Gas y Agua  5 Construcción  6 Comercio  7 Transporte, Almacenamiento y Comunicaciones 
// 8 Bancos y Financieras  9  Servicios Comunales, Sociales y Personales 10 or . Actividades no especificadas
g actividad_Stress = actividad
replace actividad_Stress = 1 if agriPes_cod==1
replace actividad_Stress = 5 if constru_cod==1
replace actividad_Stress = 6 if alojComi_cod==1
replace actividad_Stress = 6 if retail_cod==1
replace actividad_Stress = 9 if ense_cod==1 
replace actividad_Stress = 9 if adpudef_cod==1 

sum layoffs_Stress if year==2017  [fw=factor_egm]  // [fw=${factor_op}]
tab actividad_Stress if year==2017  [fw=factor_egm]
sum layoffs_Stress [fw=factor_egm] if year==2017   // 1.26 vs 3.7 (which includes informal work to unemployment flows)
replace layoffs_Stress = layoffs_Stress*(0.13/1.26)/0.0042 if actividad_Stress==1
replace layoffs_Stress = layoffs_Stress*(0.58/1.26)/0.0562 if actividad_Stress==5
replace layoffs_Stress = layoffs_Stress*(0.29/1.26)/0.0838 if actividad_Stress==6
replace layoffs_Stress = layoffs_Stress*(0.26/1.26)/0.8558 if actividad_Stress==9

egen affected_groups = rowmax(constru_cod adpudef_cod ense_cod agriPes_cod alojComi_cod)
/*replace layoffs_Stress = layoffs_Stress*2.04 if affected_groups!=1
replace layoffs_Stress = layoffs_Stress*3.26 if constru_cod==1
replace layoffs_Stress = layoffs_Stress*6.97 if adpudef_cod==1 
replace layoffs_Stress = layoffs_Stress*5.98 if ense_cod==1 
replace layoffs_Stress = layoffs_Stress*2.20 if agriPes_cod==1 
replace layoffs_Stress = layoffs_Stress*2.11 if alojComi_cod==1
replace layoffs_Stress = layoffs_Stress - layoffs_Stress_original // deduct the "standard" unemployment
replace layoffs_Stress = layoffs_Stress + 0.5*layoffs_Stress_original // sum another quarter with layoffs of 150% above normal  */

replace layoffs_Stress = min( layoffs_Stress, 1) if layoffs_Stress<.

log using "$path_g\JobFind_Layoff_stress_riot2.log", replace
//  all
sum layoffs_sect if affected_groups!=1 [fw=${factor_op}]  // ${factor_op} factor_egm
sum layoffs_Stress if affected_groups!=1 [fw=${factor_op}] 
sum layoffs_sect if affected_groups==1 [fw=${factor_op}] 
sum layoffs_Stress if affected_groups==1 [fw=${factor_op}] 
sum layoffs_sect [fw=${factor_op}]  
sum layoffs_Stress [fw=${factor_op}] 
//  2017
sum layoffs_sect if affected_groups!=1 & year_efh==2017 [fw=factor_egm]  // ${factor_op} factor_egm
sum layoffs_Stress if affected_groups!=1 & year_efh==2017 [fw=factor_egm] 
sum layoffs_sect if affected_groups==1 & year_efh==2017 [fw=factor_egm] 
sum layoffs_Stress if affected_groups==1 & year_efh==2017 [fw=factor_egm] 
sum layoffs_sect if year_efh==2017 [fw=factor_egm]  
sum layoffs_Stress if year_efh==2017 [fw=factor_egm] 
log close

foreach var of varlist unemp_sect ytot_ind ing rci_pend_75 us_rci_75 debt_pi_ratio {
g `var'_original = `var' 
}
g J0 = uniform() if desem<. & edad>18 & edad<65  // Additional Informal Labor shock
g J0d = (J0<0.0225)
g ytot_ind_loss = 0.2*ytot_ind_original if J0d==1
bysort year_efh folio_efh: egen ytoth_loss = total(ytot_ind_loss)
replace ing = max(0, ln( exp(ing_original) - ytoth_loss) )  //, recalculate (ing), rci
g adj=max(1, exp(ing_original)/exp(ing)) if a1==1
replace adj=min(adj,5) if a1==1
replace rci_pend_75 = min( 1.5, rci_pend_75_original*adj ) if rci_pend_75<. //min( 0.75, rci_pend_75_original*adj )
replace debt_pi_ratio = min(2, debt_pi_ratio_original*adj) if debt_pi_ratio<. //min(1,debt_pi_ratio*adj)
capture drop J0 J0d ytot_ind_loss ytoth_loss adj

do "$path_bs_do\UnST_Riot.do"  // 1st trimester of layoffs (very similar to Unemp_Dur_Shock.do)
if ${Sector}==1 { 
replace estrato_h=.
replace estrato_h=actividad if year_efh<2014
replace estrato_h = 1 if agriPes_cod==1
replace estrato_h = 5 if constru_cod==1
replace estrato_h = 6 if alojComi_cod==1
replace estrato_h = 6 if retail_cod==1
replace estrato_h = 9 if ense_cod==1 
replace estrato_h = 9 if adpudef_cod==1 
replace estrato_h = 7 if estrato_h==. & desem<.

bysort folio_efh year_efh: egen ymax2=max(ytot_ind)
g estrato_max = estrato_h if ytot_ind==ymax2
bysort folio_efh year_efh: egen emax=max(estrato_max)
bysort folio_efh year_efh: egen eother=max(estrato_h)
replace estrato_h = emax if emax<.
replace estrato_h = eother if estrato_h==.
replace estrato_h = 10 if estrato_h==.
tab estrato_h
tab estrato_h if year_efh==2017
capture drop ymax2 estrato_max emax eother
}
save "$path_g\\Riot_Covid_ST.dta", replace
capture drop *_original adj adj2 layoffs_Stress actividad_Stress
capture drop *_original layoffs_Stress actividad_Stress
