joinby folio_efh year_efh using "$path4b\\efh_AFP.dta", unmatched(master) update
tab _merge
drop _merge

g ing_inf=ytot_ind if Informal_T==1
bysort folio_efh year_efh: egen Hing_inf0=total(ing_inf)
g Hing_inf = max(0, min(1,Hing_inf0/max(Hing_inf0,ytoth))) if a1==1   //ytotef
drop Hing_inf0 ing_inf

g ing_PBSVi = (ytot_ind<=141374) if edad>=65 // 65 o 70  
bysort folio year_efh: egen ing_PBSV = max(ing_PBSVi)

xtile quintile_ISE0 = ytoth if a1==1 [fw=factor_all], nq(5)
bysort folio year_efh: egen quintile_ISE=max(quintile_ISE0)
drop quintile_ISE0
bysort folio_efh year_efh: egen hog_c10=max(c10)
g a1_edad0=edad if a1==1
g a2_edad0=edad if a2==1
bysort folio_efh year_efh: egen a1_edad=max(a1_edad0)
bysort folio_efh year_efh: egen a2_edad=max(a2_edad0)
replace a1_edad=max(a1_edad, a2_edad)
if ${IFEb}==0 { 
g SUF = max(50000, 50000*num_men) if quintile_h<=3 & hog_c10>2 & a1_edad<65
g IFE = 0
g IFE_temp = 0
}
if ${IFEb}==1 { // https://ingresodeemergencia.cl/requisitos/1
g SUF=0  // SUF was first month only
g IFE_temp = 0
g IFE = 65000*numh if quintile_h<=2 & Hing_inf>=0.5 & Hing_inf<=1 & numh<=4  //& hog_c10>2
replace IFE = 304000 if quintile_h<=2 & Hing_inf>=0.5 & Hing_inf<=1 & numh==5  //& hog_c10>2
replace IFE = 345000 if quintile_h<=2 & Hing_inf>=0.5 & Hing_inf<=1 & numh==6  //& hog_c10>2
replace IFE = 385000 if quintile_h<=2 & Hing_inf>=0.5 & Hing_inf<=1 & numh==7  //& hog_c10>2
replace IFE = 422000 if quintile_h<=2 & Hing_inf>=0.5 & Hing_inf<=1 & numh==8  //& hog_c10>2
replace IFE = 459000 if quintile_h<=2 & Hing_inf>=0.5 & Hing_inf<=1 & numh==9  //& hog_c10>2
replace IFE = 494000 if quintile_h<=2 & Hing_inf>=0.5 & Hing_inf<=1 & numh>=10 & numh<. //& hog_c10>2

replace IFE = 43333*numh if quintile_h==3 & Hing_inf>=0.5 & Hing_inf<=1 & numh<=4  //& hog_c10>2
replace IFE = 202667 if quintile_h==3 & Hing_inf>=0.5 & Hing_inf<=1 & numh==5  //& hog_c10>2
replace IFE = 230000 if quintile_h==3 & Hing_inf>=0.5 & Hing_inf<=1 & numh==6  //& hog_c10>2
replace IFE = 256667 if quintile_h==3 & Hing_inf>=0.5 & Hing_inf<=1 & numh==7  //& hog_c10>2
replace IFE = 281333 if quintile_h==3 & Hing_inf>=0.5 & Hing_inf<=1 & numh==8  //& hog_c10>2
replace IFE = 306000 if quintile_h==3 & Hing_inf>=0.5 & Hing_inf<=1 & numh==9  //& hog_c10>2
replace IFE = 329333 if quintile_h==3 & Hing_inf>=0.5 & Hing_inf<=1 & numh>=10 & numh<.  //& hog_c10>2

replace IFE = max(0,IFE)+32000/3 if quintile_h<=2  // food boxes for 2 lowest income quintiles (one box for 3 months)
}
if ${IFEb}>=2 { 
g SUF=0  // 2nd month
g IFE_temp = 100000*numh if quintile_h<=4 & numh<=4  
replace IFE = 467000 if quintile_h<=4 & numh==5  
replace IFE = 531000 if quintile_h<=4 & numh==6  
replace IFE = 592000 if quintile_h<=4 & numh==7  
replace IFE = 649000 if quintile_h<=4 & numh==8  
replace IFE = 705000 if quintile_h<=4 & numh==9  
replace IFE = 759000 if quintile_h<=4 & numh>=10 & numh<. 

g dif_inf_IFE = max(0,IFE-ytoth)
g IFE = IFE_temp if hog_c10>2 & a1_edad<65
replace IFE = min(IFE_temp,dif_inf_IFE) if Hing_inf>=0.5 & Hing_inf<=1
replace IFE = IFE_temp if ing_PBSV==1
drop dif_inf_IFE 

if ${IFEb}>=3 { // Add Bono Clase Media plus Préstamo SII plus Retiro 10%  // Bono is given only once
g iBCmedia=500000  if Ri_COV_loss>0.3 & Ri_COV_loss<. & ytot_ind_original>=400000 & ytot_ind_original<=1500000 & Informal_T==0
replace iBCmedia=400000  if Ri_COV_loss>0.3 & Ri_COV_loss<. & ytot_ind_original>1500000 & ytot_ind_original<=1600000 & Informal_T==0
replace iBCmedia=300000  if Ri_COV_loss>0.3 & Ri_COV_loss<. & ytot_ind_original>1600000 & ytot_ind_original<=1700000 & Informal_T==0
replace iBCmedia=200000  if Ri_COV_loss>0.3 & Ri_COV_loss<. & ytot_ind_original>1700000 & ytot_ind_original<=1800000 & Informal_T==0
replace iBCmedia=100000  if Ri_COV_loss>0.3 & Ri_COV_loss<. & ytot_ind_original>1800000 & ytot_ind_original<=2000000 & Informal_T==0
replace iBCmedia=iBCmedia/3
bysort folio_efh year_efh: egen BCmedia=total(iBCmedia)
g ipCmedia=(1/3)*min(650000,0.70*Ri_COV_loss) if Informal_T==0
bysort folio_efh year_efh: egen pCmedia=total(ipCmedia)

g ymR10 = max(0,(1/12)*Hretiro10P) if R_COV_loss>=0.50  // Assume households spend through an entire year
replace ymR10 = max(0,(1/18)*Hretiro10P) if R_COV_loss>=0.25 & R_COV_loss<0.50
replace ymR10 = max(0,(1/24)*Hretiro10P) if R_COV_loss>=0.05 & R_COV_loss<0.25
replace ymR10 = max(0,(1/36)*Hretiro10P) if R_COV_loss>=0.01 & R_COV_loss<0.05
replace ymR10 = max(0,(1/48)*Hretiro10P) if R_COV_loss<0.01
}
}
if ${IFEb}<3 { 
g BCmedia=0
g pCmedia=0
replace Hretiro10P=0
g ymR10=0
}
drop a1_edad0 a2_edad0 a2_edad  // a1_edad hog_c10
