// Do isolated simulation of flow into unemployment
global Ii=60
*replace unemp_sect=unemp_sect_original+max(0,d_unemployed_${Ii}_WH)  // Now change unemp_sect
g simul_unemp = uniform() if desem<.  // Now simulate unemployment status
replace simul_unemp = uniform() if ytot_ind_original>80000 & ytot_ind_original<. & edad>15 & edad<65 & simul_unemp==.  
replace simul_unemp = (simul_unemp<layoffs_Stress)    // d_unemployed_${Ii}
g ytot_ind_loss = ytot_ind_original*0.60 if simul_unemp==1  //income of individuals (ytot_ind) drops 60% for those affected
replace ytot_ind_loss = 0 if ytot_ind_loss==.
g dur_unem = .  // Unemployment duration
forv d=1/3 {
g dur_unem0 = uniform() if simul_unemp==1
replace dur_unem = `d' if dur_unem0<pr_jobfind_${Ii} & dur_unem==. & simul_unemp==1
drop dur_unem0
}
replace dur_unem = 4 if dur_unem==. & simul_unemp==1
g ytot_ind_loss_dur = 0 if dur_unem==1 // 40% income
replace ytot_ind_loss_dur = ytot_ind_original*0.10 if dur_unem==2 
replace ytot_ind_loss_dur = ytot_ind_original*0.17 if dur_unem==3 
replace ytot_ind_loss_dur = ytot_ind_original*0.22 if dur_unem==4 
replace ytot_ind_loss = ytot_ind_loss + max(0,ytot_ind_loss_dur) // End: unemployment duration
g ytot_ind_loss_yr = dur_unem*ytot_ind_loss
replace ytot_ind_loss_yr = 0 if ytot_ind_loss_yr==.

bysort year_efh folio_efh: egen ytoth_loss = total(ytot_ind_loss)
bysort year_efh folio_efh: egen ytoth_loss_yr = total(ytot_ind_loss_yr)
replace ing = max(0, ln( exp(ing_original) - ytoth_loss) )  //, recalculate (ing), rci
g adj=max(1, exp(ing_original)/exp(ing)) if a1==1
g adj2=max(1, 4*exp(ing_original)/ (4*exp(ing_original)-ytoth_loss_yr) )  if a1==1
replace adj2=adj2*max(1,unemp_sect/unemp_sect_original) if a1==1
replace adj=min(adj,5) if a1==1
replace adj2=min(adj,adj2,5) if a1==1
replace rci_pend_75 = min( 1.5, rci_pend_75_original*adj ) if rci_pend_75<. //min( 0.75, rci_pend_75_original*adj )
replace debt_pi_ratio = min(2, debt_pi_ratio_original*adj2) if debt_pi_ratio<. //min(1,debt_pi_ratio*adj)
