quietly {
capture drop aux_layoffs*
capture drop aux_jobfind*
g aux_layoffs=(ocup==1)
g aux_jobfind=(desem==1)
g aux_layoffs_hh0 = (ocup==1) if a2==1
g aux_jobfind_hh0 = (desem==1) if a2==1
g aux_layoffs_i0 = (ocup==1) if a1==1
g aux_jobfind_i0 = (desem==1) if a1==1
bysort folio: egen aux_layoffs_hh = mean(aux_layoffs_hh0)
bysort folio: egen aux_jobfind_hh = mean(aux_jobfind_hh0)
bysort folio: egen aux_layoffs_i = mean(aux_layoffs_i0)
bysort folio: egen aux_jobfind_i = mean(aux_jobfind_i0)

recode sexo 0=2  // First import employment transition probabilities
local vl_e2 "sexo zona2 sector_ind tr_edad2 educ quintile_h"
capture drop _merge 
local var_list = "year quarter `vl_e2'"  //local var_list = "year `vl_e`i''" //joinby `var_list' using "$path2b\emp_des2_x`i'.dta", update unmatched(master)
joinby `var_list' using "$path_g\\stress_test_unemp_x2_allyears.dta", unmatched(master) update
tab _merge
drop _merge
joinby `var_list' using "$path_g\\stress_test_jobfind_x2_allyears.dta", unmatched(master) update
tab _merge
drop _merge
joinby `var_list' using "$path_g\\stress_test_layoffs_x2_allyears.dta", unmatched(master) update
tab _merge
drop _merge
local var_list2 = "year sexo zona2 tr_edad2 educ quintile_h" 
foreach x of varlist d_unemployed_* d_pr_jobfind_* d_pr_layoffs* { //unemployed_* pr_jobfind_* pr_layoffs_* 
capture drop pr_est* 
reg `x' i.(`var_list2')
predict pr_est, xb
replace `x'=pr_est if `x'==. 
/*sum `x' if `x'>0.0001 & `x'<1  replace `x'=r(min) if `x'<=0.0001  replace `x'=r(max) if `x'>=1 & `x'<.*/

g `x'_w0 = `x'*sh_inc 
bysort folio: egen `x'_w = total(`x'_w0)
g `x'_hh0 =  `x' if a2==1 
g `x'_i0 =  `x' if a1==1 
bysort folio: egen `x'_hh = mean(`x'_hh0)
bysort folio: egen `x'_i = mean(`x'_i0)
g `x'_WH = `x'_hh //if `option'==22 { // Layoff and job-find probability is the household head probability, 
replace `x'_WH = `x'_i if `x'_WH==. // if no household head use the interviewed probability, if not use the income share weighted household average
replace `x'_WH = `x'_w if `x'_WH==.
drop `x'_w0 `x'_w `x'_hh `x'_hh0 `x'_i `x'_i0
}
//   //

foreach yr of numlist 11 14 17 {
forvalues i = 65(5)100 { 
local i2=(`i'-60)/1000
sum d_unemployed_`i' if year==20`yr' [fw=${factor`yr'}] // sum d_unemployed_`i' [fw=${factor_op}]  
local rr=max(1, `i2'/r(mean))
replace d_unemployed_`i'=d_unemployed_`i'*`rr' if year==20`yr' 
replace d_unemployed_`i'_WH=d_unemployed_`i'_WH*`rr' if year==20`yr' 
replace d_pr_layoffs_`i'=d_pr_layoffs_`i'*`rr' if year==20`yr' 
replace d_pr_layoffs_`i'_WH=d_pr_layoffs_`i'_WH*`rr' if year==20`yr' 
replace d_pr_jobfind_`i'=d_pr_jobfind_`i'*`rr' if year==20`yr' 
replace d_pr_jobfind_`i'_WH=d_pr_jobfind_`i'_WH*`rr' if year==20`yr' 
}   
}  //   //   //
}
//
