use "$path_g\\${data_save}_dtbc2.dta", clear //  2.0: Format Data before Stress Test
drop if sexo>2
replace df_dna = . if a1!=1  // df_dna includes default from past 12 months, df1_dna only current default
local k=5   // Banking Loans
foreach mk of numlist 1 3 { // Banking Consumer Debt (1 month, 3 months)
g df_dna_k = .  // local mk=1 // 1 3
forv k2=1/3 {
g df_dna_k0 = (DF26_t`k'd`k2'>=2 & DF26_t`k'd`k2'<=3 & DF27_t`k'd`k2'>=`mk' & DF27_t`k'd`k2'<97) if a1==1 & d_td`k'>0 & d_td`k'<. & cf_td`k'>0 & cf_td`k'<.
if `mk'==1 {
replace df_dna_k0 = 1 if DF26_t`k'd`k2'>=2 & DF26_t`k'd`k2'<=3 & df_dna_k0<.
} 
replace df_dna_k = df_dna_k0 if (df_dna_k==. & df_dna_k0!=.) | (df_dna_k==0 & df_dna_k0!=.)
capture drop df_dna_k0 
} 
replace df_dna_k = 0 if df_dna_k==. & d_td`k'>0 & d_td`k'<. & cf_td`k'>0 & cf_td`k'<.
replace df_dna_k = . if a1!=1
rename df_dna_k df_dna_k`mk'
} 
replace df_dna_k3 = 0 if df_dna_k3==. & df_dna_k1==0

foreach mk of numlist 1 3 {   // local mk=3
g df`mk'_dna = . // All Consumer Debt (1 month, 3 months)
forv k=4/8 {
replace df`mk'_dna = 0 if a1==1 & d_td`k'>0 & d_td`k'<. & cf_td`k'>0 & cf_td`k'<. & year_efh>=2010 & year_efh<.
}
forv k2=1/3 {
forv k=4/7 {
replace df`mk'_dna = 1 if DF26_t`k'd`k2'>=2 & DF26_t`k'd`k2'<=3 & DF27_t`k'd`k2'>=`mk' & DF27_t`k'd`k2'<97 & df`mk'_dna<.
if `mk'==1 {
replace df`mk'_dna = 1 if DF26_t`k'd`k2'>=2 & DF26_t`k'd`k2'<=3 & df`mk'_dna<.
} 
}
replace df`mk'_dna = 1 if F40_t8d`k2'==4 & df`mk'_dna<.
}
replace df`mk'_dna = max(df`mk'_dna,df_dna_k`mk') if df_dna_k`mk'<.
replace df_dna = . if df`mk'_dna==. & year>=2010 & year<. //replace df3_dna = 0 if df3_dna==. & df_dna==0 & year_efh>=2010 & year_efh<.
} 
replace df_dna = max(df_dna,df_dna_k1,df_dna_k3) if df_dna_k1<.
replace df_dna = max(df_dna,df1_dna,df3_dna) if df3_dna<.  //g quarter=4 run "$path_bs_do\layoff_jobfind0_stress.do"
tab df1_dna df_dna_k1   // bysort year: sum  df_dna df_dna_k // Big difference in 2014, even bigger in 2017
tab df3_dna df_dna_k3 //foreach var of varlist unemp_sect ytot_ind ing rci_pend_75 us_rci_75 { g `var'_original = `var' }
save "$path_g\\${data_save}_dtbc2.dta", replace
g nr_pob = 1
g df_dna0 = .
local rdi_c = "debt_pi_ratio"
local rdi_cp = "debt_pi_ratio_T"
local rdi_h = "debt_dt_pi_ratio"
local rci_cp = "rci_pend_75_T"
local rci_c = "rci_pend_75"
local rci_h = "rci_pend_75"
local grains "c h" //`grains' // c h cp 
foreach p of local grains {
local X`p'0 = "unemp_sect ing `rdi_`p'' `rci_`p''"
local X`p'1 = "unemp_sect ing `rdi_`p''"
/*local X`p'2 = "unemp_sect ing `rdi_`p''"
local X`p'3 = "desem ing `rdi_`p'' `rci_`p''"
local X`p'4 = "desem `rdi_`p'' `rci_`p''"
local X`p'5 = "ing `rdi_`p'' `rci_`p''"
local X`p'6 = "`rdi_`p'' `rci_`p''"
local X`p'7 = "desem `rdi_`p''"*/
local X`p'8 = "ing `rdi_`p''"				
} // local var_list_pr0 = "ing debt_pi_ratio rci_pend_75 us_rci_75 numh edad hombre_casado genero instituto universidad unemp_sect d_z2 d_cc2"
local ni = 70
foreach Xk of numlist 0 1 8 { //local var_list_pr0 = "`Xcp`Xk'' numh edad hombre_casado instituto universidad d_z2" // Partial information version
local var_list_pr0 = "`Xc`Xk'' us_rci_75 numh edad hombre_casado instituto universidad d_z2" // genero d_cc2 
replace df_dna0 = df1_dna //  // All Consumer Debt Model  (1 month) // df_dna includes default from past 12 months, df1_dna only current default
probit df_dna0 `var_list_pr0' if a1==1 & cf_dt>0 & cf_dt!=. & d_dna>0 & d_dna<. & cf_dna>0 & cf_dna<., vce(robust) iterate(`ni') //& year==2014
matrix bc1_X`Xk'=e(b)
outreg2 using "$path_g\\df_mes_X`Xk'.xls", replace
predict df1_u_X`Xk' if a1==1 & cf_dt>0 & cf_dt!=. & d_dna>0 & d_dna<. & cf_dna>0 & cf_dna<. & df_dna0<.
replace df_dna0 = df_dna_k1 // // Banking Consumer Loan Model (1 month)
probit df_dna0 `var_list_pr0' if a1==1 & cf_dt>0 & cf_dt!=. & d_dna>0 & d_dna<. & cf_dna>0 & cf_dna<., vce(robust) iterate(`ni') //& year==2014
matrix bc2_X`Xk'=e(b)
outreg2 using "$path_g\\df_mes_X`Xk'.xls", append
predict dfK1_u_X`Xk' if a1==1 & cf_dt>0 & cf_dt!=. & d_dna>0 & d_dna<. & cf_dna>0 & cf_dna<. & df_dna0<.
replace df_dna0 = df3_dna // // All Consumer Debt Model  (3 month)
probit df_dna0 `var_list_pr0' if a1==1 & cf_dt>0 & cf_dt!=. & d_dna>0 & d_dna<. & cf_dna>0 & cf_dna<., vce(robust) iterate(`ni') //& year==2014
matrix bc3_X`Xk'=e(b)
outreg2 using "$path_g\\df_mes_X`Xk'.xls", append
predict df3_u_X`Xk' if a1==1 & cf_dt>0 & cf_dt!=. & d_dna>0 & d_dna<. & cf_dna>0 & cf_dna<. & df_dna0<.
replace df_dna0 = df_dna_k3 // // Banking Consumer Loan Model (3 month)
probit df_dna0 `var_list_pr0' if a1==1 & cf_dt>0 & cf_dt!=. & d_dna>0 & d_dna<. & cf_dna>0 & cf_dna<., vce(robust) iterate(`ni') //& year==2014
matrix bc4_X`Xk'=e(b)
outreg2 using "$path_g\\df_mes_X`Xk'.xls", append
predict dfK3_u_X`Xk' if a1==1 & cf_dt>0 & cf_dt!=. & d_dna>0 & d_dna<. & cf_dna>0 & cf_dna<. & df_dna0<.
}
local Xk=8  //0
foreach year of numlist 2011 2014 2017 { //  // For each year
local var_list_pr0 = "`Xc`Xk'' numh edad hombre_casado instituto universidad d_z2" // genero d_cc2 // us_rci_75
replace df_dna0 = df1_dna // // // All Consumer Debt Model  (1 month) // df_dna includes default from past 12 months, df1_dna only current default
probit df_dna0 `var_list_pr0' if year==`year' & a1==1 & cf_dt>0 & cf_dt!=. & d_dna>0 & d_dna<. & cf_dna>0 & cf_dna<., vce(robust) iterate(`ni') //& year==2014
matrix bc1_X`Xk'_`year'=e(b)
outreg2 using "$path_g\\df_mes_X`year'.xls", replace
predict df1_u_X`Xk'_`year' if a1==1 & cf_dt>0 & cf_dt!=. & d_dna>0 & d_dna<. & cf_dna>0 & cf_dna<. & df_dna0<.
replace df_dna0 = df_dna_k1 // // // Banking Consumer Loan Model (1 month)
probit df_dna0 `var_list_pr0' if year==`year' & a1==1 & cf_dt>0 & cf_dt!=. & d_dna>0 & d_dna<. & cf_dna>0 & cf_dna<., vce(robust) iterate(`ni') //& year==2014
matrix bc2_X`Xk'_`year'=e(b)
outreg2 using "$path_g\\df_mes_X`year'.xls", append
predict dfK1_u_X`Xk'_`year' if a1==1 & cf_dt>0 & cf_dt!=. & d_dna>0 & d_dna<. & cf_dna>0 & cf_dna<. & df_dna0<.
replace df_dna0 = df3_dna // // // All Consumer Debt Model  (3 month)
probit df_dna0 `var_list_pr0' if year==`year' & a1==1 & cf_dt>0 & cf_dt!=. & d_dna>0 & d_dna<. & cf_dna>0 & cf_dna<., vce(robust) iterate(`ni') //& year==2014
matrix bc3_X`Xk'_`year'=e(b)
outreg2 using "$path_g\\df_mes_X`year'.xls", append
predict df3_u_X`Xk'_`year' if year==`year' & a1==1 & cf_dt>0 & cf_dt!=. & d_dna>0 & d_dna<. & cf_dna>0 & cf_dna<. & df_dna0<.
replace df_dna0 = df_dna_k3 // // Banking Consumer Loan Model (3 month)
probit df_dna0 `var_list_pr0' if year==`year' & a1==1 & cf_dt>0 & cf_dt!=. & d_dna>0 & d_dna<. & cf_dna>0 & cf_dna<., vce(robust) iterate(`ni') //& year==2014
matrix bc4_X`Xk'_`year'=e(b)
outreg2 using "$path_g\\df_mes_X`year'.xls", append
predict dfK3_u_X`Xk'_`year' if year==`year' & a1==1 & cf_dt>0 & cf_dt!=. & d_dna>0 & d_dna<. & cf_dna>0 & cf_dna<. & df_dna0<.
}
save "$path_g\\${data_save}_dtbc2.dta", replace
