pr def layoff_jobfind0
    args option
	
quietly {
capture drop aux_layoffs*
capture drop aux_jobfind*
capture drop sh_inc
g aux_layoffs=(ocup==1)
g aux_jobfind=(desem==1)

g aux_layoffs_hh0 = (ocup==1) if a2==1
g aux_jobfind_hh0 = (desem==1) if a2==1
g aux_layoffs_i0 = (ocup==1) if a1==1
g aux_jobfind_i0 = (desem==1) if a1==1
bysort folio: egen aux_layoffs_hh = mean(aux_layoffs_hh0)
bysort folio: egen aux_jobfind_hh = mean(aux_jobfind_hh0)
bysort folio: egen aux_layoffs_i = mean(aux_layoffs_i0)
bysort folio: egen aux_jobfind_i = mean(aux_jobfind_i0)

// First import employment transition probabilities
recode sexo 0=2
local vl_e0 "constant"
local vl_e1 "sexo sector_ind quintile_h"
local vl_e2 "sexo zona2 sector_ind tr_edad2 educ quintile_h"
local vl_e3 "sexo zona2 actividad tr_edad educ quintile_h"
local vl_e4 "sexo zona2 tr_edad2 educ quintile_h"
local vl_e5 "sexo zona2 tr_edad2 quintile_h"

*gen quarter=4
foreach i of numlist 2 4 5 {  // In alternative - 3 2 4 1 5 0
capture drop _merge 
*local var_list = "year `vl_e`i''"
*joinby `var_list' using "$path2b\emp_des2_x`i'.dta", update unmatched(master)
local var_list = "year quarter `vl_e`i''"
joinby `var_list' using "$path2b\emp_ene2_x`i'.dta", unmatched(master) update 
foreach x of varlist  unemployed pr_layoffs pr_jobfind_inv  {
capture drop pr_est* 
reg `x' i.(`var_list')
predict pr_est, xb
replace `x'=pr_est if `x'==.
sum `x' if `x'>0.0001
replace `x'=r(min) if `x'<=0.0001
sum `x' if `x'<1
replace `x'=r(max) if `x'>=1 & `x'<.
}
//
replace pr_layoffs = . if pr_layoffs==0
}
*drop quarter 
//

// Intermediate inputs
// Generate potential income for workers with no income in case their income is 0
bysort sexo zona2 actividad tr_edad educ quintile_h: egen ytot_ind_pot = median(ytot_ind) if ocup==1 | desem==1
g ytot_ind2 = ytot_ind
replace ytot_ind2 = ytot_ind_pot if ytot_ind2==.
bysort folio: egen ytoth2 = total(ytot_ind2)
replace ytoth2 = max(ytoth2, ytoth)

g sh_inc =  ytot_ind2/ytoth2
g pr_layoffs_w0 = pr_layoffs*sh_inc 
bysort folio: egen pr_layoffs2_w = total(pr_layoffs_w0)
g pr_jobfind_inv_w0 = pr_jobfind_inv*sh_inc 
bysort folio: egen pr_jobfind_inv2_w = total(pr_jobfind_inv_w0)
g pr_unemp_w0 = unemployed*sh_inc 
bysort folio: egen pr_unemp_w = total(pr_unemp_w0)

g pr_layoffs2_hh0 =  pr_layoffs if a2==1 
g pr_layoffs2_i0 =  pr_layoffs if a1==1 
bysort folio: egen pr_layoffs2_hh = mean(pr_layoffs2_hh0)
bysort folio: egen pr_layoffs2_i = mean(pr_layoffs2_i0)

g pr_jobfind_inv2_hh0 =  pr_jobfind_inv if a2==1 
g pr_jobfind_inv2_i0 =  pr_jobfind_inv if a1==1 
bysort folio: egen pr_jobfind_inv2_hh = mean(pr_jobfind_inv2_hh0)
bysort folio: egen pr_jobfind_inv2_i = mean(pr_jobfind_inv2_i0)

g pr_unemp_hh0 = unemployed if a2==1 
g pr_unemp_i0 =  unemployed if a1==1 
bysort folio: egen pr_unemp_hh = mean(pr_unemp_hh0)
bysort folio: egen pr_unemp_i = mean(pr_unemp_i0)


if `option'==1 { // Layoff and job-find probability is a income share weighted household average
// if no income use the household head probability, if no household head use the interviewed probability
g layoffs_sect = pr_layoffs2_w*aux_layoffs
g jobfind = pr_jobfind_inv2_w*aux_jobfind
replace layoffs_sect = pr_layoffs2_hh*aux_layoffs_hh if layoffs_sect==.
replace layoffs_sect = pr_layoffs2_i*aux_layoffs_i if layoffs_sect==.
replace layoffs_sect = 0 if layoffs_sect==.
replace jobfind = pr_jobfind_inv2_hh*aux_jobfind_hh if jobfind==.
replace jobfind = pr_jobfind_inv2_i*aux_jobfind_i if jobfind==.
replace jobfind = 1 if jobfind==.
g unemp_sect = pr_unemp_w*aux_layoffs
replace unemp_sect = pr_unemp_hh*aux_layoffs_hh if unemp_sect==.
replace unemp_sect = pr_unemp_i*aux_layoffs_i if unemp_sect==.
replace unemp_sect = 0 if unemp_sect==.
}
//

if `option'==2 { // Layoff and job-find probability is the household head probability, 
// if no household head use the interviewed probability, if not use the income share weighted household average
g layoffs_sect = pr_layoffs2_hh*aux_layoffs_hh 
replace layoffs_sect = pr_layoffs2_i*aux_layoffs_i if layoffs_sect==.
replace layoffs_sect = pr_layoffs2_w*aux_layoffs if layoffs_sect==.
replace layoffs_sect = 0 if layoffs_sect==.
g jobfind = pr_jobfind_inv2_hh*aux_jobfind_hh 
replace jobfind = pr_jobfind_inv2_i*aux_jobfind_i if jobfind==.
replace jobfind = pr_jobfind_inv2_w*aux_jobfind if jobfind==.
replace jobfind = 1 if jobfind==.
g unemp_sect = pr_unemp_hh*aux_layoffs_hh
replace unemp_sect = pr_unemp_i*aux_layoffs_i if unemp_sect==.
replace unemp_sect = pr_unemp_w*aux_layoffs if unemp_sect==.
replace unemp_sect = 0 if unemp_sect==.
}
//

// 2 - These options have a layoff and jobfind probability for everyone (not just employed or unemployed)
if `option'==12 { // Layoff and job-find probability is a income share weighted household average
// if no income use the household head probability, if no household head use the interviewed probability
g layoffs_sect = pr_layoffs2_w
g jobfind = pr_jobfind_inv2_w
replace layoffs_sect = pr_layoffs2_hh if layoffs_sect==.
replace layoffs_sect = pr_layoffs2_i if layoffs_sect==.
replace layoffs_sect = 0 if layoffs_sect==.
replace jobfind = pr_jobfind_inv2_hh if jobfind==.
replace jobfind = pr_jobfind_inv2_i if jobfind==.
replace jobfind = 1 if jobfind==.
g unemp_sect = pr_unemp_w  
replace unemp_sect = pr_unemp_hh if unemp_sect==.
replace unemp_sect = pr_unemp_i if unemp_sect==.
replace unemp_sect = 0 if unemp_sect==.
}
//
if `option'==22 { // Layoff and job-find probability is the household head probability, 
// if no household head use the interviewed probability, if not use the income share weighted household average
g layoffs_sect = pr_layoffs2_hh 
replace layoffs_sect = pr_layoffs2_i if layoffs_sect==.
replace layoffs_sect = pr_layoffs2_w if layoffs_sect==.
replace layoffs_sect = 0 if layoffs_sect==.
g jobfind = pr_jobfind_inv2_hh 
replace jobfind = pr_jobfind_inv2_i if jobfind==.
replace jobfind = pr_jobfind_inv2_w if jobfind==.
replace jobfind = 1 if jobfind==.
g unemp_sect = pr_unemp_hh  
replace unemp_sect = pr_unemp_i if unemp_sect==.
replace unemp_sect = pr_unemp_w if unemp_sect==.
replace unemp_sect = 0 if unemp_sect==.
}
//

}
end
