clear
clear matrix
use "D:\DAT\DPF\Analisis Financiero\Sector Hogares\EFH\2007\Data\Base_trabajo\EFH_07_allvars.dta", clear

quietly {
* Contruccin plazo por deuda
forv k=1/3 {
	forv h=1/5 {
		recode pmen_`h'_td`k' 0=.
	}
	egen plazo_td`k'=rmean(pmen_1_td`k' pmen_2_td`k' pmen_3_td`k' pmen_4_td`k' pmen_5_td`k')
} 
forv k=4/8 {
		forv h=1/3 {
			recode pmen_`h'_td`k' 0=.
		}
		egen plazo_td`k'=rmean(pmen_1_td`k' pmen_2_td`k' pmen_3_td`k')
}
egen plazo_tbco=rmean(plazo_td1 plazo_td2)
//

// Plazo promedio de deuda de consumo en la familia (meses)
egen p_cons=rmean(plazo_tbco plazo_td3 plazo_td4 plazo_td5 plazo_td6 plazo_td7 plazo_td8)

// Plazos en meses de deudas en la familia
rename plazo_td3 p_ccom // Plazo de deuda en casas comerciales
rename plazo_td4 p_cbco // Plazo de credito de consumo bancario 
rename plazo_td5 p_fin // Plazo de prestamos en financieras y casas comerciales
rename plazo_tbco p_tbco // Plazo de deuda en tarjetas y lineas de credito
capture rename g_total gtotal
capture drop desem desem_h
capture drop year
capture drop numh
order e* g*, last
*capture drop *_old
capture drop  f1_td1- f17_3_td16
capture drop  f1_td1-h5_7
capture drop i1_1- l4
capture drop ptot_* pmen_* r_*
global path "D:\DAT\DPF\Analisis Financiero\Sector Hogares\EFH\Proyectos\2010_Household Risk\household_risk\simul_empleo_ing"
global pathbd "D:\DAT\DPF\Analisis Financiero\Sector Hogares\EFH\Proyectos\2010_Household Risk\household_risk\simul_empleo_ing\bases"
global path2b "D:\DAT\DPF\Analisis Financiero\Sector Hogares\EFH\Proyectos\2010_Household Risk\household_risk\empleo\bases"
global path4b "D:\DAT\DPF\Analisis Financiero\Sector Hogares\EFH\Proyectos\2010_Household Risk\simulation_time"
global factor_op "expr0531m"

* Variables default de deuda
g df_vp=(e16==3) if a1==1 & e15==1
g df_vp_1=(e16==3 | e16==2) if a1==1 & e15==1
g df_hog=0   if a1==1
g df_hog_1=0 if a1==1
g e42_tp14=.
g e42_tp15=.
forv k=1/18{
replace df_hog=1 if a1==1  & (e16==3 | e42_tp`k'==3)
replace df_hog_1=1 if a1==1  & (e16==3 | e16==2 | e42_tp`k'==3 | e42_tp`k'==2)
}
g df_dna=(g5==1 & g6>0 & g6!=.) if df_vp_1!=1 & a1==1 & cf_dna>0
*g cf_dt = cf_dt_old
*g cf_dna = cf_dna_old

*g ing=ln(yefec+1000)
replace ytoth = ytot_ind if ytoth==. & a1==1
replace ytoth = ytot_ind if ytoth==. & a2==1
g yefec = ytoth-yai
replace yefec=ytoth if yefec==.
sum yefec if yefec>0
g ing=ln(yefec+1000)
*g ing=ln(yefec+r(min)) 

* Creacin variables de caracterizacin


* Situacin laboral
*g ocup = 0
*replace ocup = 1 if (c1==1 | c2==1 | c3==1) // Condicin de ocupados definido en el cuestionario
egen ocuph = total(ocup), by(folio)

* Desempleados por hogar (personas que pertenecen a la FL)
g desem=0 // same as unempl
replace desem=1 if c2==0 | c3==0 | c4==1
by folio, sort: egen desem_h=sum(desem)  // same as unempl_h
* Individuos del hogar en la FL
g flab_0=0  // same a lfp
replace flab_0=1 if ocup==1 | desem==1
replace ocup = . if flab_0==0
replace desem = . if flab_0==0
bysort folio: egen flab=sum(flab_0)
* Individuos del hogar en edad de trabajar
g pet_0=0
replace pet_0=1 if (edad>15 & edad<65) & d2_2!=1 & d3_3!=1
replace pet_0=1 if ocup==1 | desem==1
bysort folio: egen pet=sum(pet_0)
* estado civil
g casado=0 if a1==1
replace casado=1 if a7==1 & a1==1
* indicacion ocupacion
g tipo_trab=0 if (c9==1 | c9==2 | c9==9) & a1==1
replace tipo_trab=1 if (c9>2 & c9<9) & a1==1

* Actividad economica 
g isicrev2=c8 if a1==1
replace isicrev2=2302 if isicrev2==2329
replace isicrev2=3111 if isicrev2==3110
replace isicrev2=3411 if isicrev2==3410
sort isicrev2
joinby isicrev2 using "$path2b\isic1.dta", unmatched(master)
drop _merge
* Rama actividad econmica
g actividad=0
forv k=0/9 {
local p=(1000*`k')
replace actividad=`k' if isicrev2>=`p' & isicrev2<`p'+999
}
replace actividad=. if actividad==0
replace actividad=. if actividad==10
replace actividad = 1 if actividad==2
replace actividad = 3 if actividad==4
* Sector economico - Primario, Secundario, Terciario
g sector_ind = actividad
recode sector_ind 0/2=1 3/5=2 6/9=3


* Imputacin edad
bysort class_com2003 sexo: egen med_edad=median(edad)
replace edad=round(med_edad) if edad==.

global factor_op expr0531
*do "$path_bs_do\ingresos_efh" // Creates income variables
g tr_edad=0
replace tr_edad=1 if edad>=15 & edad<25
replace tr_edad=2 if edad>=25 & edad<35
replace tr_edad=3 if edad>=35 & edad<45
replace tr_edad=4 if edad>=45 & edad<55
replace tr_edad=5 if edad>=55 & edad<65
replace tr_edad=5 if edad>=65 
* Tramos de edad 2 - Young, Middle Age, Old
g tr_edad2 = tr_edad
recode tr_edad2 1/2=1 3/4=2 5=3
g edad2 = edad^2

// Nr of children, adults and seniors in household
g aux_edad = (edad<=19)
g aux_edad1=(edad>19 & edad<=64)
g aux_edad2 = (edad>64)

bysort folio: egen num_men=sum(aux_edad)
recode num_men (3/.=3) // use 3 or 4 as upper bound
bysort folio: egen num_adult=sum(aux_edad1)
recode num_adult (4/.=4) // use 4 or 5 as upper bound
bysort folio: egen num_sen=sum(aux_edad2)
recode num_sen (1/.=1) // use 1 or 2 as upper bound

bysort class_com2003 sexo tedad: egen m_s=median(s)
replace s=round(m_s) if s==. 

* clasifiacin nivel de educacin

bysort class_com2003 sexo tedad: egen niv_m=median(nive_edu) if nive_edu<97
g nive_edu2=nive_edu
replace nive_edu=niv_m if nive_edu==. | nive_edu>97 & (ocup==1 | desem==1)

g nivel=.
replace nivel = 1 if nive_edu>0 & nive_edu<=8 
replace nivel = 2 if nive_edu>8 & nive_edu<=12 
replace nivel = 3 if nive_edu>12 & nive_edu<=15 
replace nivel = 1 if nivel==. & tedu==1
replace nivel = 2 if nivel==. & tedu==2
replace nivel = 3 if nivel==. & tedu==3
replace nivel = 3 if nivel==. & tedu==4

* Regionalizacin
g lugar=.
replace lugar = 1 if region>0 & region<=12
replace lugar = 2 if region==13

* Incorporando probabilidades de ESI
*drop _merge

* RCI modificado con regla de max
g rci_min1=min(rci_dt,1)
g us_rci_75=(rci_min1>0.75)
g rci_pend_75=rci_min1*(1-us_rci_75)
bysort folio: egen casado2 = mean(casado)
gen genero = (sexo==1)
gen hombre_casado=casado2*genero

g trab=ocuph/flab
g nivel2 = nivel
g baja=(nivel2<2)
g bas_med=(nivel2==1)
g instituto=(nivel2==2)
g universidad=(nivel2==3)


joinby folio using "D:\DAT\DPF\Analisis Financiero\Sector Hogares\EFH\2007\Data\Base_trabajo\factores_folio.dta", unmatched(both)
tab _merge
drop if _merge!=3
drop _merge

rename nivel educ
sum zona2
local z_min =r(min)
local z_max =r(max)
g decil_h = .
forv k=`z_min'/`z_max' {
xtile decil_h0 =  ytoth if zona2==`k' [fw=${factor_op}], nq(10)
replace decil_h = decil_h0 if decil_h==.
drop decil_h0
}
g decil_h0 = decil_h if a1==1
bysort folio: egen decil_h1 = mean(decil_h)
replace decil_h = ceil(decil_h1) if decil_h==.
drop decil_h0 decil_h1
g estrato_h = decil_h
recode estrato_h 1/5=1 6/8=2 9=3 10=4
g quintile_h = ceil(decil_h/2)


// Probability of unemployment
g year = 2007
g quarter = 4
g constant = 1
if ${esi_bt_op}==1 { // Use ESI bootstrap option
layoff_jobfind 12
}
if ${esi_bt_op}==0 {
layoff_jobfind0 12
}
drop quarter
//

rename unemployed pr_unemployed
g factor_un = ceil(${factor_op}*(1/pr_unemployed) )
replace factor_un = 1 if factor_un<1
replace factor_un = ${factor_op} if factor_un==.
g factor_e = ceil(${factor_op}*(1/(1-pr_unemployed)) )
replace factor_e = 1 if factor_e<1
replace factor_e = ${factor_op} if factor_e==.

g dec_renta0 = .
g dec_renta1 = .
forv k=`z_min'/`z_max' {
xtile dec_renta0_0 = ytot_ind if desem==0 & ytot_ind>0 & zona2==`k' [fw=factor_e], nq(10)
xtile dec_renta1_0 = ytot_ind if desem==1 & ytot_ind>0 & zona2==`k' [fw=factor_un], nq(10)
replace dec_renta0 = dec_renta0_0 if dec_renta0==.
replace dec_renta1 = dec_renta1_0 if dec_renta1==.
drop dec_renta0_0 dec_renta1_0
}
replace dec_renta0 = decil_h if dec_renta0==. & desem==0
replace dec_renta1 = decil_h if dec_renta1==. & desem==1
replace dec_renta0 = 1 if dec_renta0==. & desem==0
replace dec_renta1 = 1 if dec_renta1==. & desem==1
g dec_renta=dec_renta0 if desem==0
replace dec_renta=dec_renta1 if desem==1 
replace dec_renta=1 if ytot_ind==0 & desem<.
drop dec_renta0 dec_renta1
g quintile_renta = ceil(dec_renta/2)

replace tr_edad = . if tr_edad==0
replace tr_edad2 = . if tr_edad2==0
egen numh = count(folio), by(folio)

g unemployed = desem 
capture drop _merge
if ${esi_bt_op}==1 { // Use ESI bootstrap option
income_shock 12
}
if ${esi_bt_op}==0 {
income_shock0 12
}
run "$path_bs_do\p_income" // Calculates Permanent Income of the Family
drop unemployed  
capture drop _merge
joinby folio using "D:\DAT\DPF\Analisis Financiero\Sector Hogares\EFH\2007\Data\Base_trabajo\Factores_Data\factores_sii_casen.dta", ///
unmatched(master)

replace df_dna=. if cf_dna==0 | cf_dna==.
*replace df_dna=. if d_dna==0 | d_dna==.
replace df_dna=. if a1!=1
*replace df_vp=. if a1!=1

// Tenency of bank debt and bank debt
*Tenencia de deuda bancaria
g banco = 0
replace banco = 1 if (ctbco==1 | cbco==1)
g debtor = (d_dna>0) if d_dna<.
replace banco = min(banco, debtor)
* Banking consumer debt
egen deuda_cons_banco = rowtotal(dcbco dtbco)
reg deuda_cons_banco i.(c_vp sexo zona2 sector_ind tr_edad2 educ quintile_h) if banco==1
predict dtcbco_0
replace deuda_cons_banco = dtcbco_0 if banco==1 & deuda_cons_banco==.
replace deuda_cons_banco = dtcbco_0 if banco==1 & deuda_cons_banco==0
replace deuda_cons_banco = 0 if deuda_cons_banco==.
replace deuda_cons_banco = 0 if a1!=1
replace deuda_cons_banco = max(0,deuda_cons_banco)

g act_tot = a_var + a_fijo + vp + otp + a_auto  
gen deuda_tot   = dhip_vp +dhip_otp +dtbco+ dtcc +dcbco+ dfin+ dauto +dsocial +deduc +dotros
gen rda=deuda_tot/max(1,act_tot)
capture rename dhip d_vp
keep folio a1 a2 flab_0 pet_0 lfp* sh_inc* sexo sector_ind actividad tedad expr0531m zona2 s ocup desem pet_0 pet casado tipo_trab ///
tr_edad* tedad s nive_edu* lugar ytot* tedu c_vp vivprop num_adul num_men num_sen rci* df_dna df_vp ing rci_pend_75 us_rci_75 numh edad* hombre_casado genero ///
instituto universidad cf* dec_renta educ constant year decil_h estrato_h layoffs_sect jobfind zona* class_c* d_dna quintile* gtotal rda ///
a_var a_fijo a_auto unemp_sect yai yaotp yact deuda_cons_banco banco *_sect ytot_p_h p_cons p_tbco p_ccom p_cbco p_fin cfdtbco d_dt d_vp
drop cf_*_*  // yo* yp* year_* year_*_*

save "$path4b\\${data_save}_07.dta", replace
}
