use "$path2\eneCS_all.dta", clear
sum unemployed if year==2019 & mes_e==9 & Labor_Force==1 & labor_force_p==1 [fw=factor_esi]
sum unemployed if year==2019 & mes_e==10 & Labor_Force==1 & labor_force_p==1 [fw=factor_esi]
tab cse_es
g Unemployed2=(activ==2)
keep if activ<=2 //keep if Labor_Force==1 & labor_force_p==1
collapse (mean) unemployed Unemployed2 unemployed2 [fw=factor_esi], by(year mes_e)
export excel using "$path_g\\UnR_month2.xlsx", firstrow(variables) replace //nolabel

local dfVars0 "hor_hab hor_efe"
local dfVars1 "unemployed layoffs"
local dfVars2 "jobfind"
local var_list "tr_edad educ sexo"
// 2.0 Total employment and hours worked
use "$path2\eneCS_all.dta", clear
drop if edad<=15
drop if edad>=65  
drop if actividad==0 | actividad==. 
keep if Labor_Force==1
tab sexo if employed==1 & year==2019 & mes_e<=9 [fw=factor_esi]
tab sexo if year==2019 & mes_e<=9 [fw=factor_esi]
sum hor_efe if employed==1 & year==2019 & mes_e<=9 [fw=factor_esi]
local a0=r(N)*r(mean)
sum hor_efe if employed==1 & year==2019 & mes_e<=9 & sexo==1 [fw=factor_esi]
local a1=r(N)*r(mean)
sum hor_efe if employed==1 & year==2019 & mes_e<=9 & sexo==2 [fw=factor_esi]
local a2=r(N)*r(mean)
local Ar=`a2'/`a0'
display("Share of female work: `Ar'")
drop if year==2019 & mes_encuesta<=8
tab employed unemployed
recode actividad 1/2=1 3/4=3 
tab actividad

collapse (mean) duration_un_mean hor_hab hor_efe unemployed layoffs jobfind [fw=factor_esi], by (year mes_encuesta tr_edad educ sexo)   // quarter mes_encuesta

g jobfind_UB = min(1, 1/duration_un_mean) if duration_un_mean>0 & duration_un_mean<.
sum jobfind jobfind_UB
sum jobfind jobfind_UB if jobfind<. & jobfind_UB<.
replace jobfind = min(jobfind,jobfind_UB) 
*replace jobfind = 0 if jobfind==.

g date = ym(year,mes_encuesta) 
format %tm date
quietly {
foreach df of local dfVars0 { 
g var0 = `df' if date==716
bysort `var_list': egen var00 = mean(var0)
replace `df' = (`df'/var00)  // 100*(`df'/var00) //100*ln(`df'/var00)
drop var0 var00
}
}
quietly {
foreach df of local dfVars1 { 
g var0 = `df' if date==716
bysort `var_list': egen var00 = mean(var0)
replace `df' = `df'-var00  //100*ln(`df'/var00)
drop var0 var00
}
}
drop if date==716
replace hor_efe=min(hor_efe, hor_hab)
drop hor_hab jobfind_UB duration_un_mean date
rename year year_p
rename mes month_p
save "$path_g\SE_Covid_perLabM.dta", replace
