pr def adapt_ene
    args year qr
quietly { //quietly noisily
// 0 - Adapting several years of the ESI to be equivalente
use "$path_ene\ene_`year'_q`qr'.dta", clear
local year2 = `year'
capture rename condicion_actividad_economica_es cse_especifico
capture rename categoria_ocupacion cise
capture rename horas_habituales hor_hab
capture rename horas_efectivas hor_efe
capture rename habituales hor_hab
capture rename efectivas hor_efe

capture g cse_es = cae_es 
g cse = cse_es
recode cse 0=0 1=1 5/7=2 10=4 11=2 8=3 9=4 12/13=5 2/4=5 14/15=6 16/19=7 20/21=8 22/23=5 24/30=9
tab cse

*p18 p08_1 p22_1  , b14 e18 b13  (15 category classification of industry of company)
capture destring b13, replace force
g p08_1 = b14 if b14<97
capture replace p08_1 = b13 if p08_1==. & b13<97
capture replace p08_1 = e18 if p08_1==. & e18<97
capture replace p08_1 = r_p_rev4cl_caenes if p08_1==.
capture g p22_1 = e18 & e18<97
capture g p22_1 = p08_1 & p08_1<97
capture replace p22_1 = p08_1 if p22_1==. & p08_1<97
replace p22_1 = p08_1 if p22_1==. & p08_1<97
recode p08_1 4/5=4 6=5 7=6 8=7 9/14=8 15/22=9 // 1/2=1 3=2 4=3 5=4 6=5 7/8=6 9=7 10/11=8 12/17=9 80/.=.
recode p22_1 4/5=4 6=5 7=6 8=7 9/14=8 15/22=9     // 1/2=1 3=2 4=3 5=4 6=5 7/8=6 9=7 10/11=8 12/17=9 80/.=.
/*"1=Agricultura, Caza y Pesca   2=Minas y Canteras 
3=Industrias Manufactureras   4=Electricidad Gas y Agua    5=Construcción 
6=Comercio   7=Transporte, Almacenamiento y Comunicaciones 
8=Bancos y Financieras   9=Servicios Comunales, Sociales y Personales  */

// weeks searching for employment
recode e6_mes 13/.=. 0=.
recode mes_enc 13/.=. 0=.
recode e6_ano 0/1900=. 2100/.=.
recode ano_enc 0/1900=. 2100/.=.
g p18 = . 
replace p18 = 1 if cae_es>=8 & cae_es<=10   //replace p18 = 1 if cse>=3 & cse<=4
replace p18 = 2 + 4*(mes_enc-e6_mes) if p18<.
replace p18 = p18 + 55*(ano_enc-e6_ano) if p18<.
replace p18 = 1 if p18<=1
replace p18 = 600 if p18>600 & p18<. //maximum number of unemployed weeks

// Other variables
g estcony = est_conyugal
recode estcony 6=5
tab estcony
rename nivel nivel_vs0
g nivel=nivel_vs0
recode nivel 0=0 1/2=1 3=2 4=3 5=4 6=5 10/12=9 13=6 14=9 80/1000=99   // 13/14=6
tab nivel
g ae = nivel_vs0
recode ae 1/2=0 3=8 4=12 5=13 6=12 7=13 8=14 9=16 10=17 11=18 12=20 13=12 14=16 999=99
tab ae
recode nivel 1=2 2=3 3/6=4 7=6 8=6   //8=9
recode cse 7=8 8/9=7

g p09=b15_1
recode p09 .=0 4/5=3
capture replace p09=3 if b15_2=="10"
g p13 = b19
recode p13 .=0
tab p13
g p12 = hor_efe
recode p12 99/170=98
recode p12 171/1000=.
replace p12=hor_hab if p12==.
recode p12 99/170=98
recode p12 171/1000=.
recode p12 99/170=98
recode p12 171/1000=.
g p10 = hor_hab
recode p10 99/170=98
recode p10 171/1000=.
replace p10=p12 if p10==.
replace p12=p10 if p12==.

capture rename idrph id_persona
capture drop reg_t // regalias (not confuse with region)
capture drop fact_per
capture drop facm
capture rename fact factor_esi  
capture rename reg region
capture rename parentes parentesco
capture rename parent parentesco
capture rename factor factor_esi
capture rename facing factor_esi 
capture rename fac_esi factor_esi 
capture rename fact_esi factor_esi
capture rename fact factor_esi
capture destring nivel, replace force
capture destring cse, replace force
capture rename p16_2 p16
capture rename p18_2 p16
capture rename p22a1_2 p22_1
capture rename p18_2 p18

*capture drop p18
capture rename p15 p18
*capture drop p08_1
*capture drop p22_1
capture rename p07a_1 p08_1
capture rename p19a_1 p22_1
capture rename p07_a1 p08_1
capture rename p19_a1 p22_1
capture rename p08a1_2 p08_1
destring p08_1, replace force
destring p22_1, replace force
replace factor_esi = ceil(factor_esi)

// Variable ID for the household
capture rename viviend  vivienda
capture rename viviend2 vivienda
capture rename estrato2 estrato
capture rename seccion2 seccion 
capture rename hogar2 hogar
capture rename sexo2 sexo
capture rename edad2 edad 
capture g id_hogar = id_identificacion
capture g id_hogar = id_persona  
bysort id_hogar: egen nr_hh_members = count(id_hogar) // Nr of household members

capture g region_15=region   //recode region_15 16=8
g zona = region_15 //regi
recode zona 1/4=1 5/8=2 9/12=3 13=4 14=3 15=1 16=2
g zona2 = zona
recode zona2 1/3=1 4=2

g population = 1
}
end
