pr def adapt_ene2
    args year qr
quietly {	//quietly noisily 
// 1 - Do work    use sem=13 for quarters, 4.35 for months, and 1 for weeks
local sem 13	
local spell_bound = round(2*52/`sem')+1  // Upper bound for unemployment spells
recode p18 899/.=.

*Variable Binaria de Desocupados (d)* qui gen desocupados=(cae_especifico>=8&cae_especifico<=9)
*Variable Binaria de Ocupados (o)* qui gen ocupados=(cae_especifico>=1&cae_especifico<=7)
*Variable Binaria de Fuerza Trabajo (fdt)* qui gen fuerza_de_trabajo=(cae_especifico>=1&cae_especifico<=9)
*Variable Binaria de Personas en Edad de Trabajar, mayores de 15 años (pet) * qui gen mayores_15=(edad>=15 & edad<.)
*Variable Binaria de Iniciadores Disponibles (id)* qui gen iniciadores_disponibles=(cae_especifico==10)
*Variable Binaria de Ocupados a Tiempo Parcial Involuntario (tpi)* qui gen ocupados_tpi=((cae_especifico>= 1 & cae_especifico <= 7) & (habituales <=30) & (c10==1) & (c11==1 | c11==2))
*Variable Binaria de Ocupados que Buscan Empleo (obe)* qui gen ocupados_obe=((cae_especifico >= 1 & cae_especifico <= 7) & (e4 >=1 & e4 <=6))
*Variable Binaria de Ocupados informales (oi)* qui gen ocupados_inf=(ocup_form==2)
*Variable Binaria de Ocupados en sector informal (osi)* qui gen ocupados_sec_inf=(sector==2)

*Desocupados* qui summ desocupados if desocupados==1 [iw=fact] local d=r(sum_w)
*Ocupados* qui summ ocupados if ocupados==1 [iw=fact] local o=r(sum_w)
*Fuerza de Trabajo* qui summ fuerza_de_trabajo if fuerza_de_trabajo ==1 [iw=fact] local fdt=r(sum_w)
*Población en edad de trabajar* qui summ mayores_15 if mayores_15==1 [iw=fact] local pet=r(sum_w)
*Iniciadores Disponibles* qui summ iniciadores_disponibles if iniciadores_disponibles==1 [iw=fact] local id=r(sum_w)
*Ocupados a Tiempo Parcial Involuntario* qui summ ocupados_tpi if ocupados_tpi==1 [iw=fact] local tpi=r(sum_w)
*Ocupados que buscan empleo* qui summ ocupados_obe if ocupados_obe==1 [iw=fact] local obe=r(sum_w)
*Ocupados informales* qui summ ocupados_inf if ocupados_inf==1 [iw=fact] local oi=r(sum_w)
*Ocupados en sector informal* qui summ ocupados_sec_inf if ocupados_sec_inf==1 [iw=fact] local osi=r(sum_w)

g year = `year'
g quarter = `qr' 
replace factor_esi = ceil(factor_esi)
drop if factor_esi==.
g constant = 1

* 0 - Generación variables demográficas por tramos
* Tramos de edad
g tr_edad=0
replace tr_edad=1 if edad>=15 & edad<25
replace tr_edad=2 if edad>=25 & edad<35
replace tr_edad=3 if edad>=35 & edad<45
replace tr_edad=4 if edad>=45 & edad<55
replace tr_edad=5 if edad>=55 & edad<65
replace tr_edad=5 if edad>=65 
* Tramos de edad 2 - Young, Middle Age, Old
g tr_edad2 = tr_edad
recode tr_edad2 1/2=1 3/4=2 5=3

* Tramos de educación
g educ=.
replace educ=1 if nivel>=0 & nivel<=5
replace educ=2 if nivel>=6 & nivel<=8
replace educ=3 if nivel==9

* 1 - Generación ocupación desocupación
g labor_force_p = 0 if cse>=5 & cse<.
replace labor_force_p = 1 if cse>=1 & cse<=4
g employed=(cae_g>=1 & cae_g<=3)     //g employed=(cse==1 | cse==2)     both options cae_g or cse give same results!
g unemployed=(cae_g>=4 & cae_g<=6)    //g unemployed=(cse==3 | cse==4)
g unemployed2=(p18>0 & p18<.)
tab unemployed unemployed2

* Rama actividad económica
g actividad=p08_1 if employed==1
replace actividad=p22_1 if unemployed==1
destring actividad, replace
recode actividad 99/.=.
* Sector economico - Primario, Secundario, Terciario
g sector_ind = actividad
recode sector_ind 1/2=1 3/5=2 6/9=3

* 2 - Duration of unemployment spells
g duration_unem = p18/`sem' if p18>0
replace duration_unem = ceil(duration_unem)
replace duration_unem = `spell_bound' if duration_unem>=`spell_bound' & duration_unem<.
//
* Personas que han perdido el empleo en periodo t
local var_list "tr_edad2 educ zona2 sector_ind"
g layoffs=(p18>0 & p18<=`sem')
// Linear layoff probability
g layoffs3 = layoffs
replace layoffs3 = 0 if employed==1
replace layoffs3 = . if employed==0 & p18>`sem'

* Duration pdf and Survival numbers for unemployment
sum duration_unem if duration_unem>=1
local min_c=r(min)
local max_c=r(max)
forv k=`min_c'/`max_c' {
g S_t1_`k' = (duration_unem>=`k' & duration_unem<.)
g f_t1_`k' = (duration_unem==`k')
}
//
* Mean unemployment durations for each discrete period
egen group_vars = group(`var_list')
g duration_un_mean = (p18/`sem') if duration_unem>0 & duration_unem<.
forv k=`min_c'/`max_c' {
g duration_un_mean`k' = duration_un_mean if duration_unem==`k'
}
compress
keep an* mes* id* zon* tipo hogar-nacionalidad b15* b17* b18* cae_general cae_especifico cise hor_hab hor_efe cine r_p_rev4cl_caenes sector ///
ocup_form tramo_edad activ factor_esi cse_es-duration_un_mean9
capture drop r_p_rev4cl_caenes proveedor
order id* an* mes* year quarter, first
save "$path2\eneCS_`year'_`qr'.dta", replace
}
end
