use "$path_g\\${data_save}_dtbc3.dta", clear 
sum real_assets deuda_total d_dt rda ytot_p_h `Rassets' `Fassets' ing_or ytoth yefec if a1==1 // g yefec = max(0, ytoth - max(0, yai))
sum rFAssetsDebt rLiqFAssetsDebt rTAssetsDebt rRAssetsDebt if a1==1 & year>=2010, d
pwcorr total_activosf total_liquidos rFAssetsDebt rLiqFAssetsDebt if a1==1 & year>=2010 & total_activosf>0 & total_activosf<.
g noLiqAdummy = (total_liquidos==0 | total_liquidos==.)
g noTAdummy = (act_totact==0 | act_totact==.)
quietly {
foreach df of local dfVarsT {  
g `df'_RobC = `df'
}
foreach var of varlist rFAssetsDebt rLiqFAssetsDebt rTAssetsDebt rRAssetsDebt {
sum `var' if a1==1 & `var'>0, d
replace  `var' = min(`var', r(p95)) if `var'>0
}
}
sum rFAssetsDebt rLiqFAssetsDebt rTAssetsDebt rRAssetsDebt if a1==1 & year>=2010, d
save "$path_g\\${data_save}_dtbc3.dta", replace 

use "$path_g\\${data_save}_dtbc3.dta", clear   // estrato_h [fw=factor_egm]   //factor_all
keep if year_efh==2017 & a1==1
g noFAdummy = (total_activosf==0 | total_activosf==.)
g noRAdummy = (real_assets==0 | real_assets==.)
foreach var of varlist rFAssetsDebt rLiqFAssetsDebt rTAssetsDebt rRAssetsDebt {
replace  `var' = . if `var'==0
g p25_`var' = `var'
g p50_`var' = `var'
g p75_`var' = `var'
}
keep d_dt d_vp d_dna factor_egm estrato_h noTAdummy noRAdummy noFAdummy noLiqAdummy p25_* p50_* p75_*
save "$path_g\\data_temp.dta", replace 
collapse (mean) noTAdummy noRAdummy noFAdummy noLiqAdummy (p25) p25_* (p50) p50_* (p75) p75_* [fw=factor_egm], by(estrato_h)
order *_rRAssetsDebt *_rFAssetsDebt *_rLiqFAssetsDebt, last
export excel using "$path_gCJE\\AssetsD_Est.xls", firstrow(variables) nolabel replace
use "$path_g\\data_temp.dta", clear 
collapse (mean) noTAdummy noRAdummy noFAdummy noLiqAdummy (p25) p25_* (p50) p50_* (p75) p75_* [fw=factor_egm]
order *_rRAssetsDebt *_rFAssetsDebt *_rLiqFAssetsDebt, last
export excel using "$path_gCJE\\AssetsD_All.xls", firstrow(variables) nolabel replace
use "$path_g\\data_temp.dta", clear 
keep if d_dt<=0 | d_dt==.
collapse (mean) noTAdummy noRAdummy noFAdummy noLiqAdummy (p25) p25_* (p50) p50_* (p75) p75_* [fw=factor_egm]
order *_rRAssetsDebt *_rFAssetsDebt *_rLiqFAssetsDebt, last
export excel using "$path_gCJE\\AssetsD_NonDebtor.xls", firstrow(variables) nolabel replace
use "$path_g\\data_temp.dta", clear 
keep if d_dt>0 & d_dt<.
collapse (mean) noTAdummy noRAdummy noFAdummy noLiqAdummy (p25) p25_* (p50) p50_* (p75) p75_* [fw=factor_egm], by(estrato_h)
order *_rRAssetsDebt *_rFAssetsDebt *_rLiqFAssetsDebt, last
export excel using "$path_gCJE\\AssetsD_EstDebtor.xls", firstrow(variables) nolabel replace
use "$path_g\\data_temp.dta", clear 
keep if d_dt>0 & d_dt<.
collapse (mean) noTAdummy noRAdummy noFAdummy noLiqAdummy (p25) p25_* (p50) p50_* (p75) p75_* [fw=factor_egm]
order *_rRAssetsDebt *_rFAssetsDebt *_rLiqFAssetsDebt, last
export excel using "$path_gCJE\\AssetsD_Debtor.xls", firstrow(variables) nolabel replace
use "$path_g\\data_temp.dta", clear 
keep if d_vp>0 & d_vp<.
collapse (mean) noTAdummy noRAdummy noFAdummy noLiqAdummy (p25) p25_* (p50) p50_* (p75) p75_* [fw=factor_egm]
order *_rRAssetsDebt *_rFAssetsDebt *_rLiqFAssetsDebt, last
export excel using "$path_gCJE\\AssetsD_Mortgages.xls", firstrow(variables) nolabel replace
use "$path_g\\data_temp.dta", clear 
keep if d_dna>0 & d_dna<.
collapse (mean) noTAdummy noRAdummy noFAdummy noLiqAdummy (p25) p25_* (p50) p50_* (p75) p75_* [fw=factor_egm]
order *_rRAssetsDebt *_rFAssetsDebt *_rLiqFAssetsDebt, last
export excel using "$path_gCJE\\AssetsD_ConsumerD.xls", firstrow(variables) nolabel replace
use "$path_g\\data_temp.dta", clear 
keep if d_dna>0 & d_dna<. & d_vp>0 & d_vp<.
collapse (mean) noTAdummy noRAdummy noFAdummy noLiqAdummy (p25) p25_* (p50) p50_* (p75) p75_* [fw=factor_egm]
order *_rRAssetsDebt *_rFAssetsDebt *_rLiqFAssetsDebt, last
export excel using "$path_gCJE\\AssetsD_MortgagesConsumerD.xls", firstrow(variables) nolabel replace
