local dfVarsT = "df_Vall df3_dna df_dna_k3 df_TB df_TCC"
global BSrefs_op "\\StandardRegs\ENE Bootstrap only\\"
foreach df of local dfVarsT {  
use "$path_g\bs_reps\\${BSrefs_op}\\\BSprob0_`df'.dta", clear
drop SEbeta
reshape wide Beta, i(bs_rep) j(CoefN)
save "$path_g\bs_reps\\${BSrefs_op}\\\BSbeta_`df'.dta", replace
collapse Beta*
g constant=1
save "$path_g\bs_reps\\${BSrefs_op}\\\BSbetaM_`df'.dta", replace
} 
global BSrefs_op "\\\RobChecks\\ENE Bootstrap only\\"
foreach df of local dfVarsT {  
use "$path_g\bs_reps\\${BSrefs_op}\\\BSprob0_`df'_RobC.dta", clear
drop SEbeta
reshape wide Beta, i(bs_rep) j(CoefN)
save "$path_g\bs_reps\\${BSrefs_op}\\\BSbeta_`df'.dta", replace
collapse Beta*
g constant=1
save "$path_g\bs_reps\\${BSrefs_op}\\\BSbetaM_`df'.dta", replace
} 
use "$path_g\\${data_save}_dtbc3.dta", clear
keep if year==2017
keep if a1==1
keep folio_efh year_efh factor*2017
save "$path_g\\EFH_debtFacs.dta", replace 

local vlV = "ing rda debt_pi_ratio rci_pend_75 numh edad hombre_casado genero instituto universidad unemp_sect d_z2" //rda  d_cc2
local vlV2 = "ing rci_pend_75 numh edad d_z2" //rda 
local vlX0 = "unemp_sect ing debt_pi_ratio rci_pend_75 us_rci_75 numh edad hombre_casado instituto universidad d_z2" // genero d_cc2 

use "$path_g\\${data_save}_dtbc3.dta", clear
describe, short
bysort year_efh folio_efh: egen df_dna_k_folio = count(df_dna) //bysort folio: df_dna_k1 df_dna
drop df_dna_k_folio dr3* df_u* df14_u* df17_u* dfQ*_u*  *_u_X1* *_u_X8* *_u_X0* // dr1* dr2* 
keep if year_efh==2017 

g sector_h=.   // Sector
replace sector_h=actividad if year_efh<2014
replace sector_h = 1 if agriPes_cod==1
replace sector_h = 5 if constru_cod==1
replace sector_h = 6 if alojComi_cod==1
replace sector_h = 6 if retail_cod==1
replace sector_h = 9 if ense_cod==1 
replace sector_h = 9 if adpudef_cod==1 
replace sector_h = 7 if sector_h==. & desem<.
bysort folio_efh year_efh: egen ymax2=max(ytot_ind)
g estrato_max = sector_h if ytot_ind==ymax2
bysort folio_efh year_efh: egen emax=max(estrato_max)
bysort folio_efh year_efh: egen eother=max(sector_h)
replace sector_h = emax if emax<.
replace sector_h = eother if sector_h==.
replace sector_h = 10 if sector_h==.
tab sector_h
capture drop ymax2 estrato_max emax eother

g deudor_hip = (d_vp>0 & d_vp<.)
bysort year_efh folio_efh: egen deudor_hip2=max(deudor_hip)
bysort folio_efh year_efh: egen df_dna_k_folio = count(df_dna) 
keep if df_TB<. | df_TCC<. | deudor_hip2==1 | df_dna_k_folio>0
capture drop deudor_hip deudor_hip2 df_dna_k_folio

capture drop capture drop dc_p90 dr1-dr3_cc2
joinby folio_efh year_efh using "$path_g\\CredCons.dta", unmatched(master) update
tab _merge
drop _merge

keep folio_efh year ord year_efh a1 cf_dt *origin* noLiqAdummy rLiqFAssetsDebt rda constant `vlV' `vlV2' `vlX0' factor_debt_2017 factor_Bdebt_2017 factor_egm factor_cvars1112 ///
factor_all estrato_h sector_h quintile_h *educ* cf_dna df_dna df1_dna df_dna_k1 df3_dna df_dna_k3  df_TB df_TCC  educ d_vp df3V w_dTBTCC w_dna w_dvp wK_dTBTCC* wK_dvp wK_dna*  ///
ytoth dT* dC* dK* min_Dall wKC_* wC_* d_unemployed_* pr_jobfind_* exp_red ing_p50 ing_p25 ytoth_pi am_dna dc_p90 dr2 desem cf_td5 cf_td6 D_asalariado_contrato_ncp_np  ///
D_asalariado_grande_emp50 D_trab_Tbaja_Qmashoras D_trab_buscaMejorTrabajo sd_ln_inc_sect ytot_ind d_dna min_DC ytot_p_h d_dt act_totact ///factor_DT_2017  // br bnr brpcc pcc ccaf
p_cons expenses3    

sum *orig*   // Original Data is allright!
foreach var of varlist unemp_sect ytot_ind ing rci_pend_75 us_rci_75 debt_pi_ratio {
replace `var' = `var'_original
}
sum debt_pi_ratio_original if a1==1, d
sum debt_pi_ratio_original if a1==1 & debt_pi_ratio_original>0, d
rename rda_original Orda
drop *orig*
joinby folio_efh ord year_efh using  "$path_g\\EFH_Sep2019.dta", unmatched(master) update
tab _merge  //replace unemp_sect_origi = max(layoffs_S, unemp_sect_origi)  drop layoffs_S
sum *orig*
foreach var of varlist unemp_sect ytot_ind ing rci_pend_75 us_rci_75 debt_pi_ratio {
replace `var' = `var'_original if `var'_original<. 
}
sum debt_pi_ratio_original if a1==1, d
sum debt_pi_ratio_original if a1==1 & debt_pi_ratio_original>0, d
rename Orda rda_original
drop _merge
drop *orig*  //      //     //
joinby folio_efh ord year_efh using "$path_g\\EFH_Oct2019.dta", unmatched(master) update  //joinby folio_efh ord year_efh using  "$path_g\\EFH_Oct2019.dta", unmatched(master) update
drop _merge  //sum *orig*
foreach var of varlist unemp_sect rci_pend_75 us_rci_75 debt_pi_ratio rda {   // rda
replace `var' = min(`var', `var'_original) if `var'_original<. 
replace `var'_original = min(`var', `var'_original) if `var'_original<. 
}
foreach var of varlist ytot_ind ing {   // rda
replace `var' = max(`var', `var'_original) if `var'_original<.
replace `var'_original = max(`var', `var'_original) if `var'_original<.  
}  //drop *orig*  joinby folio_efh ord year_efh using  "$path_g\\EFH_Sep2019.dta", unmatched(master) update  drop _merge
//      //

joinby folio_efh year_efh using "$path_g\\Covid_policies2020.dta", unmatched(master) update  // Hretiro10P- IFE_JJA
tab _merge
quietly {
foreach var of varlist Hretiro10P-IFE_JJA {
replace `var' = . if a1!=1
}
}   //global Ii=105 // ${Ii} 85 100 135 125 105   do "$path_bs_do\SUF_IFE_vs2.do" 
drop _merge
capture d_unemployed_* pr_jobfind_*
joinby folio_efh ord year_efh using "$path_g\\EFH_SECov.dta", unmatched(master) update
tab _merge
drop _merge

compress
describe, short

quietly {
local nr_reps = ${BS_nr}
capture drop id_orig3
save "$path4b\\data_temp.dta", replace
g bs_rep = 1 // This is the original data
forv k=2/`nr_reps' {
append using "$path4b\\data_temp.dta"
replace bs_rep = `k' if bs_rep==.
} 
g id_orig3 = folio
egen folio = group(id_orig3 bs_rep)
order folio id* bs_rep, first
}  //replicate_data ${BS_nr}  // Expand EFH data for simulation and generate different folios for each simulation
rename folio_efh original_folio_efh
rename folio folio_efh
compress
describe, short
save "$path_g\\EFH_BS${BS_nr}.dta", replace   
