global esi_bt_op 0 // // 1 - Use ESI bootstrap sample for unemployment probs, 0 - Use complete ESI sample for unemployment probs
global data_save_emp "emp1"
global path_empleo "C:\DAT\\EFH\Proyectos\2010_Household Risk\household_risk\empleo"
program drop _all
clear
clear matrix
clear mata
drop _all
capture log close
set more off

// 0 - Define paths and format basic data
global path0 "C:\DAT\\EFH\Proyectos\2010_Household Risk\household_risk"
global path1 "$path0\simulation_time"
global path2b "C:\DAT\\EFH\Proyectos\2010_Household Risk\household_risk\empleo\bases"
global pathdo2 "$path0\empleo"
global path4 "$path0\empleo\bases"
global path4b "C:\DAT\\EFH\Proyectos\2010_Household Risk\simulation_time"
global data_save "hist_dynamic_un06_11"
global ln_inc_e 1 // 0 - Income is Normally-distributed, 1 - Income is Log-Normal
global path_bs_do "C:\DAT\\EFH\Proyectos\2010_Household Risk"
global path_factores "C:\DAT\\EFH\2007\Data\Base_trabajo"
global path_bs_results "$path4"

run "$path_bs_do\linear_reg_impute3.do" 
run "$path_bs_do\layoff_jobfind0" 
run "$path_bs_do\income_shock0_vs0"
global factor17 "factor_egm"
global factor14 "factor_egm"
global factor11 "factor_cvars1112"
global factor10 "factor_cvars11112_vs3"
global factor09 "factor_cvars1112"
global factor08 "factor_ec_vars1112"
global factor07 "expr0531m"

global path_g "C:\Docs2\EFH_CDI\Stress_test_probit\graphs\"  
global path_s1 "C:\DAT\\EFH\Proyectos\2010_Household Risk\simulation_time\"
global path_s3 "C:\DAT\\EFH\Proyectos\2010_Household Risk\simulation_time\"
global Labor_2014_op = 2014  //do "$path_bs_do\EFH_labor_risk_vintage"  //do "$path_bs_do\simul_format_efh4_14" //*do "$path_bs_do\simul_format_efh4_vs2"  //Labor risk of household head
global risk_vintage_op = 0 // 0 - uses labor_risk previously estimated, 1 - run do "$path_bs_do\EFH_labor_risk_vintage_yeark"
global ing_real = 1 // 0 - Ing is nominal, 1 - Ing is in 2014 pesos
global Mit = 1  // mitigadores = 1 for the Covid-19 policy measures // ${Mit}
global Sector = 0 // 0=estrato_h, 1= replace estrato_h with measure of Economic Sector
global STs = "60 80 85 100 135 125 105"  // "60 70 85 95 100 115 135" //"60 135"  // 60 115 135 155  //60 70 85 95 115  //60 70 85 95 100 115   // 60 70 80 85 95 100 115 $STs
global Inc_CF = 0  // 0 both income or financial charge benefits, 1 only income benefits, 2 only financial charge benefits, 3 no benefits
global IFEb = 3   // 0 - No IFE, 1 - First payment, 2 - Second payment, 3 - Plus bono clase media and 10% AFP
global PcdebtCS = 0.95   // ${PcdebtCS}  0.90 
global DfCS = 0.15   // 0.25 0.35
global DfCS2 = 0.10  // 0.15 0.20
global DfCS3 = 0.35  // 0.35 (0.10+0.25)  0.50 (0.2+0.3 or 0.15+0.35)
global BS_nr=1000

global adobase "$path0\other_ado\" // Ado packages (outreg2) used by the project are to be found here

do "$path_bs_do\sensitivity_unemp_shocks.do"  
run "$path_bs_do\format_AFP.do"
run "$path_bs_do\format_DFVP_Ld.do" // Create dummies for Mortgage default and dummies for Lender type
run "$path_bs_do\multiple_EFHyears_format.do"  //do "$path_bs_do\efh4_graphs_notitles_national_14.do" //do "$path_bs_do\efh4_regs_14.do"  
do "$path_bs_do\efh4_dar_dfdna.do"  //same as efh4_dar_June2016.do
do "$path_bs_do\efh4_dar_dfdna_Xk.do"  //do "$path_bs_do\efh4_stress_test_10sample.do"  // //do "$path_bs_do\efh4_dar_laborshock_June2016.do"

global path_g "C:\Docs2\EFH_CDI\Covid_research\WD\graphs\"
global path_gCJE "C:\Docs2\EFH_CDI\Covid_research\WD\CJE\graphs\"
save "$path_g\\${data_save}_dtbc2.dta", replace

do "$path_bs_do\efh4_stress_test.do"    // this is where Riot and Covid policies are measured, where the quantile expenditure and debt regressions are done
do "$path_bs_do\Dweights_TC_KKC.do" 
do "$path_bs_do\Covid_policies.do" 
do "$path_bs_do\efh4_dar_dfdna_Xk_genReg.do" 
do "$path_bs_do\FinAssets_description.do"  //do "$path_bs_do\efh4_dar_dfdna_Xk_genReg_RobChecks.do" 
global Replicate_nr=100 //global path_g "C:\Docs2\EFH_CDI\Stress_test_probit\graphs\"  
run "$path_bs_do\predict_pr_dfBS.do" 
do "$path_bs_do\SE_Covid_pers_ST.do"
do "$path_bs_do\select_data_ST.do"

global data_save "EFH_selection2017" //Applies the last section of the code (Main Results) to a selected data from the EFH wave 2017 (the file strictly necessary to replicate)
forv m=0/1 {
global Mit = `m'
forv r=0/3 {
global Rop = `r' // 0 Standard Regs (1000 bs), 1 Robust Regs (1000 bs), 2 Standard Regs (mean for all the 1000 reps), 3 Robust Regs (mean for all the 1000 reps)
do "$path_bs_do\efh4_stress_test_total_BS.do"
do "$path_bs_do\BS_summarize.do"
}
}
do "$path_bs_do\BS_SE_Cov_summary.do"
do "$path_bs_do\BS_stds.do"
clear
